"""Custom exceptions for fish parsing."""

class AuthorError(ValueError):
    """
    The author must be no more than 15 characters in length and may only
    contain a subset of special characters.
    """


class InvalidFSHFileError(ValueError):
    """The FSH file provided is not valid and cannot be parsed safely."""


class InvalidROEFileError(ValueError):
    """The ROE file provided is not valid and cannot be parsed safely."""
